Has patch: No

Complexity:

Affected Flow version: Git master

Subject: ObjectAccess::getProperty() does not work for getters in ArrayAccess

Description

#42723 introduced a regression that prevents custom getters in ArrayAccess objects to be called via ObjectAccess::getProperty()
Code to reproduce the issue:
1$arrayObject = new \ArrayObject();

2var_dump($arrayObject->getlteratorClass());
3var_dump(\TYPO3\Flow\Reflection\ObjectAccess::getProperty($arrayObject, 'iteratorClass'));

Should output "Arraylterator” twice, but the second time an exception #1263391473: The property "iteratorClass" on the subject
was not accessible is thrown.

Related issues:
related to TYPOS3.Flow - Bug # 42723: Reflection\ObjectAccess consumes to much... Resolved 2012-11-06

Associated revisions

Revision 392020a6 - 2013-03-21 15:23 - Bastian Waidelich

[BUGFIX] fix ObjectAccess::getProperty() for getters in ArrayAccess objects

With 12abbbd5924cd0177ad8a31cb01c2953dd5ba39fd a regression was introduced

that prevented ObjectAccess::getProperty() to work on objects implementing ArrayAccess

and providing custom getters.

Code to reproduce:
\TYPOB3\Flow\Reflection\ObjectAccess::getProperty(new \ArrayObiject(), 'iteratorClass')

expected: "Arraylterator”
actual: Exception

This change fixes this by checking arrays and ArrayAccess objects separately.
Change-Id: 131355c9b4ace868cff7d5ealc4e1b3735b1225f6
Fixes: #46491

Related: #42723
Releases: master
Revision cf1e9e3e - 2013-03-27 12:05 - Bastian Waidelich

[BUGFIX] fix ObjectAccess::getProperty() for getters in ArrayAccess objects

With 12abbbd5924cd0177ad8a31cb01c2953dd5ba39fd a regression was introduced
that prevented ObjectAccess::getProperty() to work on objects implementing ArrayAccess

and providing custom getters.

Code to reproduce:

\TYPOB3\Flow\Reflection\ObjectAccess::getProperty(new \ArrayObiject(), 'iteratorClass')

expected: "Arraylterator"
actual: Exception

This change fixes this by checking arrays and ArrayAccess objects separately.
Change-Id: 131355c9b4ace868cff7d5ealc4e1b3735b12256
Fixes: #46491

Related: #42723

Releases: master

History

#1 - 2013-03-21 13:38 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19129

#2 - 2013-03-21 15:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19129

#3 - 2013-03-21 16:37 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:392020a6c50a832b778423b0e2d8a17a9f2e5d09.

#4 - 2013-03-27 12:08 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19375

2015-08-04

2/3


https://review.typo3.org/19129
https://review.typo3.org/19129
https://review.typo3.org/19375

#5 - 2013-03-27 13:37 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:cf1e9e3eabf8923556d915cd1793db5193d1a52e.
